package com.ruoyi.biz.service;

import com.ruoyi.biz.domain.ArStore;
import com.ruoyi.biz.domain.vo.ArStoreVo;
import com.ruoyi.biz.domain.bo.ArStoreBo;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.math.BigDecimal;
import java.util.Collection;
import java.util.List;

/**
 * 门店Service接口
 *
 * @author gwd
 * @date 2023-07-11
 */
public interface IArStoreService {

    /**
     * 查询门店
     */
    ArStoreVo queryById(Long id);

    /**
     * 查询门店列表
     */
    TableDataInfo<ArStoreVo> queryPageList(ArStoreBo bo, PageQuery pageQuery);

    /**
     * 查询门店列表
     */
    List<ArStoreVo> queryList(ArStoreBo bo);

    /**
     * 新增门店
     */
    Boolean insertByBo(ArStoreBo bo);

    /**
     * 修改门店
     */
    Boolean updateByBo(ArStoreBo bo);

    /**
     * 校验并批量删除门店信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    List<ArStoreVo> getStoreList(BigDecimal latitude, BigDecimal longitude);
}
